\name{quarter}
\alias{quarter}
\docType{data}
\title{
  Edited Barra data set for Q1, 2010.
}
\description{
  An edited version of the data set based on GEM2 data set in year
  2010. 
}
\usage{data(quarter)}
\format{
  A data frame with 9000 observations on the following 15 variables.
  \describe{
    \item{\code{barrid}}{barra id for a security}
    \item{\code{name}}{name of a security}
    \item{\code{return}}{a numeric vector}
    \item{\code{date}}{a Date}
    \item{\code{sector}}{an ordered factor with levels \code{Energy} < \code{Materials} < \code{Industrials} < \code{ConDiscre} < \code{ConStaples} < \code{HealthCare} < \code{Financials} < \code{InfoTech} < \code{TeleSvcs} < \code{Utilities}}
    \item{\code{momentum}}{a numeric vector}
    \item{\code{value}}{a numeric vector}
    \item{\code{size}}{a numeric vector}
    \item{\code{growth}}{a numeric vector}
    \item{\code{cap.usd}}{a numeric vector}
    \item{\code{yield}}{a numeric vector}
    \item{\code{country}}{a factor with levels \code{ARE} \code{ARG} \code{AUS} \code{AUT} \code{BEL} \code{BHR} \code{BRA} \code{CAN} \code{CHE} \code{CHL} \code{CHN} \code{CHX} \code{COL} \code{CZE} \code{DEU} \code{DNK} \code{EGY} \code{ESP} \code{FIN} \code{FRA} \code{GBR} \code{GRC} \code{HKG} \code{HUN} \code{IDN} \code{IND} \code{IRL} \code{ISR} \code{ITA} \code{JOR} \code{JPN} \code{KOR} \code{KWT} \code{MAR} \code{MEX} \code{MYS} \code{NLD} \code{NOR} \code{NZL} \code{OMN} \code{PAK} \code{PER} \code{PHL} \code{POL} \code{PRT} \code{QAT} \code{RUS} \code{SAU} \code{SGP} \code{SWE} \code{THA} \code{TUR} \code{TWN} \code{USA} \code{ZAF}}
    \item{\code{currency}}{a factor with levels \code{AREC} \code{ARGC} \code{AUSC} \code{BHRC} \code{BRAC} \code{CANC} \code{CHEC} \code{CHLC} \code{CHNC} \code{COLC} \code{CZEC} \code{DNKC} \code{EGYC} \code{EMUC} \code{GBRC} \code{HKGC} \code{HUNC} \code{IDNC} \code{INDC} \code{ISRC} \code{JORC} \code{JPNC} \code{KORC} \code{KWTC} \code{MARC} \code{MEXC} \code{MYSC} \code{NORC} \code{NZLC} \code{OMNC} \code{PAKC} \code{PERC} \code{PHLC} \code{POLC} \code{QATC} \code{RUSC} \code{SAUC} \code{SGPC} \code{SWEC} \code{THAC} \code{TURC} \code{TWNC} \code{USAC} \code{ZAFC}}
    \item{\code{portfolio}}{a numeric vector}
    \item{\code{benchmark}}{a numeric vector}
  }
}
\details{
  A subset of the data set \code{year}. \code{quarter} contains all the
  information necessary to conduct a multi-period Brinson
  analysis. \code{date.var}, \code{cat.var}, and \code{return} identify
  the columns containing the date, the factor to be analyzed, and the
  return variable, respectively. \code{bench.weight} and
  \code{portfolio.weight} specify the name of the benchmark weight
  column and that of the portfolio weight column in the data frame.  
}
\examples{
data(quarter)
head(quarter)
}
\keyword{datasets}
